Bug 1114923 - No power management actions on laptop lid closed in tweak tools and general settings. Laptop screen still on when closing the lid
Summary: No power management actions on laptop lid closed in tweak tools and general s...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-01 09:39 UTC by Vitaly Bordug
Modified: 2015-06-29 21:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1039364
Environment:
Last Closed: 2015-06-29 21:25:21 UTC


Attachments (Terms of Use)

Description Vitaly Bordug 2014-07-01 09:39:37 UTC
Also with fresh install of the F20 - lid or any other systemd pm actions just do not work. I am doing sudo pm-suspend from the console which works but awkward for the feature that had been working since ages.

Systemd may be trying to do something, as after lid is closed, all  the windows are placed somewhere outside the desktop, and only knowing the Alt+F7 hotkey it is possible to drag them back. Pretty nasty - since that bogus location is memorized and happily resored after reboot.

The latter may be a different bug, but I dunno how to trigger it without lid action.



+++ This bug was initially created as a clone of Bug #1039364 +++

Description of problem:

I Upgraded Fedora 19 to Fedora 20 using FedUp. Then, I updated Fedora 20. On gnome-tweak-tools I have no options for actions when closing laptop lid. Also, there's no options on general settings for this issue. When I close the laptop lid the screen stays on. 

Version-Release number of selected component (if applicable):

kernel-3.11.10-300.fc20.x86_64
gnome-shell-3.10.2.1-2.fc20.x86_64
gnome-power-manager-3.10.1-1.fc20.x86_64
gnome-tweak-tool-3.10.1-2.fc20.noarch

How reproducible:
100%

Steps to Reproduce:
1. Update Fedora19 to Fedora 20 using FedUp.
2. Close laptop lid. Check the screen.
3. Verify power managment options in tweak tools and power general settings .

Actual results:
Screen is always on. 
No actions to take in power settings.

Expected results:
Suspend (or other actions) when closing the laptop lid.
Have options when setting the general power managment.

Additional info:

--- Additional comment from Rodrigo Paz on 2013-12-10 00:56:37 EST ---

(In reply to Rodrigo Paz from comment #0)
> Description of problem:
> 
> I Upgraded Fedora 19 to Fedora 20 using FedUp. Then, I updated Fedora 20. On
> gnome-tweak-tools I have no options for actions when closing laptop lid.
> Also, there's no options on general settings for this issue. When I close
> the laptop lid the screen stays on. 
> 
> Version-Release number of selected component (if applicable):
> 
> kernel-3.11.10-300.fc20.x86_64
> gnome-shell-3.10.2.1-2.fc20.x86_64
> gnome-power-manager-3.10.1-1.fc20.x86_64
> gnome-tweak-tool-3.10.1-2.fc20.noarch
> 
> How reproducible:
> 100%
> 
> Steps to Reproduce:
> 1. Update Fedora19 to Fedora 20 using FedUp.
> 2. Close laptop lid. Check the screen.
> 3. Verify power managment options in tweak tools and power general settings .
> 
> Actual results:
> Screen is always on. 
> No actions to take in power settings.
> 
> Expected results:
> Suspend (or other actions) when closing the laptop lid.
> Have options when setting the general power managment.
> 
> Additional info:


Problems persist after upgrading kernel and apps enabling updates-testing repo
i.e., kernel-3.11.10-301.fc20.x86_64

--- Additional comment from Rodrigo Paz on 2013-12-20 21:42:55 EST ---

I didn't know that 'suspend on closed lid' action settings will be off when going from F19 to F20, and the default behavior will be 'suspend'. Nevertheless, the automatic suspend action never worked in my laptop after upgrading and updating.
It is so annoying when I think that after upgrading from F19 using FedUp in my office, I closed the laptop lid, I packed it in my backpack and when I arrived home the laptop temperature was around 105C (220F). I almost lost my laptop because of a probably silly bug.
I these days I tried several approaches and nothing worked.

--- Additional comment from Giuseppe Castagna on 2014-02-08 12:00:51 EST ---

I agree it is very annoying that there is no setting for laptop lid. I would like to suspend the laptop if on battery and ignore the close-lid when plugged in.

Just as a temporary fix, have you tried to edit

/etc/systemd/logind.conf

by setting 

HandleLidSwitch=suspend

hope it helps

--- Additional comment from Rodrigo Paz on 2014-02-08 15:28:29 EST ---

Hi Giussepe,
thanks for your hint.
I tried your approach on every update since I posted the bug and it never worked. I started to think that probably it is a problem with the ati videocard driver, but it seems that nobody cares about this.
Thanks again,
Rodrigo

--- Additional comment from Ingo Weiss on 2014-04-30 02:29:09 EDT ---

Hi Giuseppe, thanks for the tip. I worked.

If someone is wondering, this is what I get when running gnome-tweak-tool from the console:

--- ~ ยป gnome-tweak-tool 
INFO    : GSettings missing key org.gnome.settings-daemon.plugins.power (key lid-close-battery-action)
INFO    : GSettings missing key org.gnome.settings-daemon.plugins.power (key lid-close-ac-action)
INFO    : GSettings missing key org.gnome.settings-daemon.plugins.power (key lid-close-suspend-with-external-monitor)
WARNING : Error loading desktopfile: /home/ihoffmann/.config/autostart/xfce4-volumed.desktop
INFO    : GSettings missing key org.gnome.nautilus.desktop (key computer-icon-visible)

Comment 1 Vitaly Bordug 2014-07-02 20:59:53 UTC
addition: when lid is closed, all  virtual desktops from the gnome shell are gone; windows still exist but are put outside of the screen. The system gets unusable because of that - and may be relevant to something in gnome-shell too.

Comment 2 Valent Turkovic 2014-09-10 18:09:39 UTC
I have laptop connected to external monitor and can't suspend with closing the lid as I was used to.

Please change bug to Fedora 20 because this issue is still live and kicking in current Fedora 20 with all updates applied. 

ps. is there a fix for this behaviour? How can I suspend my laptop even with external monitor attached?

Comment 3 Rodrigo Paz 2014-09-10 18:38:51 UTC
After almost a year I hardly learned that they don't care about this problem. Also, I figured out that my laptop's power management issues are related to the AMD gpu/video card and Fedora 20 philosophy.
My felling is we (users/buyers) are AMD/Fedora's hostages.

Comment 4 Fedora End Of Life 2015-05-29 12:16:16 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 21:25:21 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.